f



broadcomm nic card driver installation on linux 6.2 with 2.2.22 kernel

Dear All,
We are installing linux 6.2 on HP XW 4300, unable to install the driver
for bcm5752 pci-e nic card kindly suggest how to go about this.
Pls provide us some hints to resolve this issue.
We had check the internet for driver no luck-- updated gcc --updated
kernel 2.2.24 --no luck while compling (make) we get syntax error
Gcc version 3.3.6 
Pls request ur help. 
Sham.

0
shamsingh1
10/30/2005 9:24:35 AM
comp.os.linux.setup 9104 articles. 1 followers. Post Follow

2 Replies
709 Views

Similar Articles

[PageSpeed] 7

On Sun, 30 Oct 2005 10:24:35 +0100, <shamsingh1@gmail.com> wrote:

> Dear All,
> We are installing linux 6.2 on HP XW 4300, unable to install the driver
> for bcm5752 pci-e nic card kindly suggest how to go about this.
> Pls provide us some hints to resolve this issue.
> We had check the internet for driver no luck-- updated gcc --updated
> kernel 2.2.24 --no luck while compling (make) we get syntax error
> Gcc version 3.3.6
> Pls request ur help.

We need details. What is "linux 6.2" ? What distribution?

What is the output of lspci?

Kernel 2.2.24 ??? Why 2.2 series? (The vendor claims drivers exist
for 2.2, 2.4 and 2.6, so it should not be impossible. Yet I guess
it is easier to get help with 2.6 series kernels)

What syntax error?  How do you compile what? (How **and** what)

I believe the driver you need is called "tg3".
The source code for Linux 2.6.12 and 2.6.13 contain definitions like

   #define  CHIPREV_ID_5752_A0_HW           0x5000
   #define  CHIPREV_ID_5752_A0              0x6000
   #define  CHIPREV_ID_5752_A1              0x6001

which suggests these kernels support your nic.

-Enrique
0
Enrique
10/30/2005 10:05:46 AM
shamsingh1@gmail.com wrote:
> Dear All,
> We are installing linux 6.2 on HP XW 4300, unable to install the driver
> for bcm5752 pci-e nic card kindly suggest how to go about this.
> Pls provide us some hints to resolve this issue.
> We had check the internet for driver no luck-- updated gcc --updated
> kernel 2.2.24 --no luck while compling (make) we get syntax error
> Gcc version 3.3.6 

Next time, please cross-post instead of separate posts
in several newsgroups. You have already good answers in
other newsgroups you posted into.

I guess that your distribution is Red Hat 6.2.
It is far too old to be installed anywhere.
Please get a more modern distribution - yours
is full of known security holes.

The Ethernet card you have is much younger
than your kernel. You need a newer version,
at least 2.4, probably 2.6.

-- 

Tauno Voipio
tauno voipio (at) iki fi

0
Tauno
10/30/2005 10:07:18 AM
Reply:

Similar Artilces:

Performance of NFS much lower on Linux kernel 2.6.17 then on Linux kernel 2.6.3?
Maybe somebody can help me with this problem: I export several directories from a Novell server and mount them on a Linux machine to have some remote backup and storage facilities. A few years back I have installed a Mandrake 10.0 box with kernel 2.6.3 and after some tinkering the NFS performance was about 3.5 MByte/s on a 100 Mbps full duplex interface card. The FTP performance to and from that same Mandrake box was about 7 MByte/s. This year I upgraded my hardware and I installed Mandriva 2006 using kernel 2.12.12 on the Linux machine. Using exactly the same mount options I get...

[News] Speech Recognition Software/SDK for Linux (2.2, 2.4, 2.6 Kernel)
Fonix Releases Linux-Supported Automatic Speech Recognition Technology ,----[ Quote ] | "The end result is an SDK with considerably higher rates of speech | recognition and greater usability as a language learning tool." `---- http://in.sys-con.com/read/280838_p.htm ...

need to migrate from Linux 2.4 to Linux 2.6 kernel, direct replacement of kernel image is Ok?
Currently using one of the leading Embedded Distribution on MIPS core based processor, this Linux is 2.4.20 Kernel, some customers also doing trails with this platform, but some new customers are interested with 2.6 kernel version, can we download 2.6 kernel version from kernel.org and make necessary changes whatever did for 2.4 and replace old kernel file "vmliux.gz.img" with new image, will it be Ok?, not sure how IP address conversion and all migrate, current 2.4 load, we are using dnsmasq package as DHCP/DNS server, which assignes 4 byte IP address on LAN side, any chang...

[News] The Next Mandriva Reaches Alpha, Two New Linux Kernels (2.6.22.x and 2.6.23.x Released)
Mandriva Linux 2008 Spring Alpha 1 Barlia released ,----[ Quote | Kicking off the 2008 Spring development cycle in earnest, the first alpha is | here. This alpha features X.org 7.3, KDE 3.5.8, KDE 4.0 RC2 (in /contrib), | GNOME 2.21, kernel 2.6.24, OpenOffice.org 2.3, new NVIDIA and ATI proprietary | drivers, PulseAudio by default and more. `---- http://club.mandriva.com/xwiki/bin/view/Main/20081Alpha1 Linux 2.6.22.15 ,----[ Quote | We (the -stable team) are announcing the release of the 2.6.22.15 kernel. | It a number of bugfixes and anyone using the 2.6.23 kernel series is | recomm...

Installation problem for RTLinux-3.2.pre2 with linux kernel-2.4.22
Hello everybody, I am a newbie on this group.I have Mandrake 9.1 (kernel-2.4.22) & I am trying to install RTLinux-3.2-pre2. I am doing following steps (I am referencing installation guide for RTLinux-3.2-pre2). I do 1.patch rtlinux kernel with linux 2.make config 3.make dep 4.make bzImage . . . . 8.modify /etc/lilo.conf 9.reboot (select RTLinux- PC boots properly in RTLinux) 10.make xconfig 11.make E...

different maximum Java -Xmx on kernel 2.6.9 (RedHat 4 update 2) and 2.6.22 (CentOS 5.2)
Hi, I recently upgraded a 32bit RedHat 4 machine (with 4GB RAM) with kernel 2.6.9 to CentOS 5.2 32bit. When it was still on RedHat I was able to run a Java application with the -Xmx3500m flag. However on CentOS with kernel 2.6.22 (PAE), it does not allow me to reserve more than -Xmx2622m even though 'free' shows that there is enough memory available: # free total used free shared buffers cached Mem: 4074980 161636 3913344 0 13740 117696 -/+ buffers/cache: 30200 4044780 Swap: 2031608...

different maximum Java -Xmx on kernel 2.6.9 (RedHat 4 update 2) and 2.6.22 (CentOS 5.2)
Hi, I recently upgraded a 32bit RedHat 4 machine (with 4GB RAM) with kernel 2.6.9 to CentOS 5.2 32bit. When it was still on RedHat I was able to run a Java application with the -Xmx3500m flag. However on CentOS with kernel 2.6.22, it does not allow me to reserve more than - Xmx2622m. Can anyone please explain to me why this is and how I can get it to work with 3500m? Thanks! At Sun, 29 Mar 2009 09:02:15 -0700 (PDT) mail2joni@gmail.com wrote: > > Hi, > > I recently upgraded a 32bit RedHat 4 machine (with 4GB RAM) with > kernel 2.6.9 to CentOS 5.2 32bit. When it was still on...

how to upgrade from linux 2.4 to 2.6? and RamDisk #2
how to upgrade from linux kernel 2.4 to 2.6 on arm? and how to build RamDisk? ...

Oracle Warehouse Builder 9.2.0.2.8 and Workflow 2.6.2 on linux
Hi there, I downloaded OWB_9.2.0.2.8_linux.tar.gz from here: http://otn.oracle.com/software/products/warehouse/index.html In the above download I found OWB installation documentation. In the OWB installation documentation, I see evidence that Oracle Warehouse Builder (runtime portion) makes use of "Oracle Workflow". It does not mention a version though. It does say that Workflow is neccessary. The documentation for Workflow was easy to find here: http://otn.oracle.com/pls/db92/db92.docindex?remark=homepage#index-WOR I'm not sure where to find the Workflow software though. ...

[wx 2.6.3, GTK+2 (Linux), gcc-3.2.2] wxTextCtrl causing segfault
Hello, I am appending large amounts of text to a non-editable multiline wxTextCtrl, on wxGTK 2.6.3. The text is broken up into 40K chunks, which are actually appended in 1K subchunks. I am only able to append between 0 and 5 of these 40K chunks before I get a segmentation fault, with the following stack trace. Although the segfault does not actually occur in the TextCtrl::Append call, it only happens when I am appending text, and my rather uninformed inspection of the stack trace indicates that something is going on in the gtk_text_view that underlies the wxTextCtrl...

Help! Is Linux kernal 2.4.20-8 PCI driver sorce compatible with 2.6 kernel versions
Hi Everybody, We have written device drivers for PCI add on card in Linux kernel ver. 2.4.20-8. and It is working fine in all aspects. Now we want to develop it on Fedora core 3 and linux kernel version is 2.6.15.1. Any major changes are required in the source? what is the command to build the driver in 2.6.* versions? Thanks in advance. Regards, Mahender. mahinder_gudur@yahoo.com wrote: > We have written device drivers for PCI add on card > in Linux kernel ver. 2.4.20-8. > and It is working fine in all aspe...

Debian Question: linux-image-2.6...-k7 vs. linux-image-2.6...-amd64
Hello, I am currently running linux-image-2.6.18-4-k7 on my old ASUS K8V SE Deluxe machine with an Athlon 64 3200+ 754 CPU (single core), 1 GB of RAM, etc. (http://alpha.zimage.com/~ant/antfarm/about/computers.txt for my secondary computer specifications). It runs Debian r4 and acts a workstation (no gaming) like surfing the Web, using e-mails, using newsgroups (Tin and Pan), IMs, IRC, some compilings (nothing major), download a lot, SSH from outside like at work, watch videos (online and locally) and DVDs, VMware v5.5.4 to test and use things, etc. I was wondering if I would get any ...

NTP with linux kernel 2.6.9 vs. kernel 2.4.24
Hi, I got through this mailing list and asked google for several times and still, I found no answer or hint where to look at. So, the basic problem is that I have a couple of linux boxes that need to be synchronized via NTP. Those boxes have all the very same hardware and configuration. Running the kernel 2.4.24 NTP works fine. For various reasons there is the need to run -- at least a few of them -- with kernel 2.6.9 and here it happens. NTP complains. The Log states: ntpd[22804]: frequency error -512 PPM exceeds tolerance 500 PPM Using "adjtimex" does not alleviate the pr...

about PCI driver for linux 2.4 kernel #2
Hi All, presetly i m Reading and understanding of device driver of linux-2.4 kernel using book given on O'relley's site. i tried to search other material to regarding device driver in linux. unfortunatelly i couldn't found any more. i wanted to write driver in linux for PCI. i dont have any idea where to start. can any body help me in this regards. I need bit guidance regarding device driver in linux. if any body who has done any domo project for linux device driver please help me for understanding device driver better. in short i want to learn linux device driver, ...

errors during clan-2.0.3 on linux 2.6.6-1.435.2.3
Hi, I'm trying to compile clan-2.0.3 drivers on kernel version 2.6.6-1.435.2.3. I'm getting erros on some missing files (see below). I installed the kernel sources prior to compiling the clan drivers. Any help in this will be greatly appreciated clan1k.c:49:27: linux/wrapper.h: No such file or directory clan1k.c:50:26: linux/tqueue.h: No such file or directory /lib/modules/2.6.6-1.435.2.3/build/include/asm/irq.h:16:25: irq_vectors.h: No such file or directory /lib/modules/2.6.6-1.435.2.3/build/include/linux/irq.h:70: error: `NR_IRQS' undeclared here (not in a function...

Is an old Creative Audigy 2 ZS sound card fully supported under Linux (e.g., Kernel 2.6.32-5)?
Hello. I have a Debian stable with v2.6.32-5-amd64. I'd like to know if an old Creative Audigy 2 ZS sound card (PCI) is fully supported under it with Kernel 2.6.32-5 and ALSA since I don't like the motherboard/mobo.'s onboard audio (lack of bass, no bass controls, low quality, etc.). Thank you in advance. :) -- "It is said that the lonely eagle flies to the mountain peaks while the lowly ant crawls the ground, but cannot the soul of the ant soar as high as the eagle?" --unknown /\___/\ Ant(Dude) @ http://antfarm.ma.cx (Personal Web Site) ...

[News] Linux Killer Apps: New Version of AmaroK; GIMP 2.4 Approaches Release; New 2.6.22 Kernel
Fast Forward to 1.4.7 ,----[ Quote ] | Amarok 1.4.7 includes an improved collection backend as well as a new icon | coloring provided by Pasi Lallinaho. The streams we provide got a cleanup to | give you the finest and coolest streams available. Of course we have also | fixed a bunch of bugs, even though our main focus has moved to Amarok 2.0 | development. `---- http://amarok.kde.org/en/node/243 Gimp 2.4 RC Released ,----[ Quote ] | If you want to help by testing this release candidate, you can grab the | source code from ftp.gimp.org. `---- http://www.linuxlookup.com/2007/aug/...

[News] Kernel Plans for Linux 2.6.24 and Looking Ahead at 2.6.25
InfiniBand 2.6.24 Merge Plans ,----[ Quote ] | In addition to listing all patches intended for 2.6.24, Roland also listed | two issues that would most likely wait for 2.6.25... `---- http://kerneltrap.org/Linux/InfiniBand_2.6.24_Merge_Plans 2.6.23 should be out very soon. Here's another nice visual example of modern Linux... 7 screenshots of my Desktop with 3D effects ,----[ Quote ] | 7 screenshots of my Desktop featuring 3D effects, plus virtualization of a | second operating system. `---- http://mckooiker.byethost5.com/blog/?p=30 ...

Linux #2 #2
Who can I talk to about Risc OS on Linux? Dave. -- Friends don't tell friends 'Use Windows' Dave wrote: > Who can I talk to about Risc OS on Linux? > Dave. Well, you could mean any number of things by that - not least, "RISC OS", but perhaps you want to start here: http://www.riscos.info/index.php/Emulation_of_RISC_OS In article <h9apgp$oki$2@news.eternal-september.org>, Peter Naulls <peter@chocky.org> wrote: > Dave wrote: > > Who can I talk to about Risc OS on Linux? > > Dave. > Well, you could mean any number of things by...

Linux-2.6 kernel and ntpd-4.2.0
I have # ntpd --version ntpd: ntpd 4.2.0@1.1161-r and Linux kernel 2.6.19.7 with the Trustix-3.05 distribution. I'm having problems with ntpd gaining a lot of time. Are there log files anywhere? ntpdate works fine. I am using one server in /etc/ntp.conf 0.ca.pool.ntp.org I've heard of reports of Linux *losing* time rapidly. I recommend you visit: http://ntp.isc.org/Support/TroubleshootingNTP and pay particular attention to the "known hardware issues" and "known operating system issues" sections. H Harlan Stenn wrote: > I've heard of reports of Lin...

[ANN] io_splice 2.2.0
The splice family of Linux system calls can transfer data between file descriptors without the need to copy data into userspace. Instead of a userspace buffer, they rely on an ordinary Unix pipe as a kernel-level buffer. * http://bogomips.org/ruby_io_splice/ * ruby.io.splice@librelist.com * git://git.bogomips.org/ruby_io_splice.git Changes: This release adds IO#pipe_size and IO#pipe_size= accessors for resizing the kernel pipe buffer under Linux 2.6.35+. This functionality may be used to either reduce memory footprint or make large copies with fewer method dispatches and system calls. Th...

Web resources about - broadcomm nic card driver installation on linux 6.2 with 2.2.22 kernel - comp.os.linux.setup

Installation art - Wikipedia, the free encyclopedia
Installation art describes an artistic genre of three-dimensional works that are often site-specific and designed to transform the perception ...

Fulton Center - Glass Installation - Metropolitan Transportation Authority (MTA) - Facebook
As of June 8, 2012, several of the Fulton Center's newly built and rehabilitated underground passageways have been substantially completed. Photo:... ...

Installation Magazine for iPhone 3GS, iPhone 4, iPhone 4S, iPhone 5, iPod touch (3rd generation), iPod ...
Get Installation Magazine on the App Store. See screenshots and ratings, and read customer reviews.

Typical Solar Installation - Flickr - Photo Sharing!
... This is a newly constructed home with near total solar covering. Hi Tim, I have published this nice picture by you, ofa home with solar installation, ...

Adobe pushes scareware with Flash Player installation - YouTube
http://www.zdnet.com/blog/bott/adobes-latest-critical-security-update-pushes-scareware/4681 If you manually install the latest version of Flash ...

Telstra in dispute with customer over costly landline installation
Would you pay $5931.90 for the installation of a landline in a suburban area?

Apple launching new broken iPhone upgrade, screen protector installation programs
... $200 for a 6, and $250 for a 6 Plus. Also involving iPhone displays, Apple Stores will start offering official plastic screen protector installations ...

Apple rolls out iPhone screen protector installation service in Japan
Earlier today, it was reported that Apple would be rolling out a service that would offer professional installation of iPhone screen protectors ...

New Apple Campus 2 video shows installation of massive glass panels
... throughout Apple's Campus 2 construction site, showing extensive progress including the beginning of interior and exterior glazing installation ...

SolarCity Installations Decline Amid Shift Away From Growth
... Tuesday. That fell short of its October forecast of 280 megawatts to 300 megawatts. And in the current quarter, the company expects installations ...

Resources last updated: 2/18/2016 1:15:15 PM